name: Jacob Solomon
locality: 
country: Remote
role: <a href="">Contract Manager</a>
reports_to: jbraughler
picture: JacobSolomon.png
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: jacobsoli
departments:
  - Legal & Corporate Affairs
specialty: ""
expertise:
story:

